Anonymous Login
2018-12-15 13:35 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001947OpenClonkObjectspublic2017-10-15 21:58
ReporterK-Pone 
Assigned ToK-Pone 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformDesktopOSWindows 7OS Version64 bit
Product Version 
Target VersionFixed in Version8.0 
Summary0001947: Goal_LastManStanding doesn't refresh scoreboard
DescriptionThe Scoreboard in any round that uses Goal_LastManStanding does not refresh, at least partially. The relaunch count always shows the default relaunch count until a player is eliminated. Then the "eliminated" icon is shown. The relaunch count is however processed correctly as the death announcements show. Also, a player with no relaunches left is eliminated after death as expected.
Additional InformationIn some scenarios there are errors occuring on the dynamic scoreboard icons. (like in Ballern when you remove the System.ocg script, which contains temporarily fixes for that)
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0005787

occ (reporter)

Hi! There's been a check-in that references this bug. For more information you can visit the repository browser at this address:
https://git.openclonk.org/openclonk.git/commitdiff/a0b131cefde643a80499db407b8c1e8e0b0537c1

Changeset a0b131c by Martin Strohmeier <k-pone@gmx.de>
Fix scoreboard not updating relaunches 0001947

~0005788

K-Pone (developer)

Scoreboard will be updated now when a relaunch occurs. OnPlayerRelaunch is now GameCallEx instead of GameCall, so other objects like the dynamic scoreboard columns can update properly now, since RelaunchPlayer was only called when the player was eliminated.
+Notes

-Issue History
Date Modified Username Field Change
2017-10-14 16:39 K-Pone New Issue
2017-10-15 21:55 occ Note Added: 0005787
2017-10-15 21:58 K-Pone Assigned To => K-Pone
2017-10-15 21:58 K-Pone Status new => resolved
2017-10-15 21:58 K-Pone Resolution open => fixed
2017-10-15 21:58 K-Pone Fixed in Version => 8.0
2017-10-15 21:58 K-Pone Note Added: 0005788
+Issue History